Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.sci.visitor
Class SciExpressionVisitorAdapter

public abstract class SciExpressionVisitorAdapter
implements SciExpressionVisitor

An empty implementation of `SciExpressionVisitor` interface. In this class all methods call `visitExpression` method (returns `null`), except `visitTypeExpression` method which calls `visitReferenceExpression`.

Author:
  TogetherSoft

Method Summary
`Object` | `visitAssignmentExpression(SciAssignmentExpression sciExpression)`
`Object` | `visitConstantExpression(SciConstantExpression sciExpression)`
`Object` | `visitExpression(SciExpression sciExpression)`
`Object` | `visitFunctionCallExpression(SciFunctionCallExpression sciExpression)`
`Object` | `visitMemberAccessExpression(SciMemberAccessExpression sciExpression)`
`Object` | `visitNewExpression(SciNewExpression sciExpression)`
`Object` | `visitReferenceExpression(SciReferenceExpression sciExpression)`
`Object` | `visitTypeCastExpression(SciTypeCastExpression sciExpression)`
`Object` | `visitTypeExpression(SciTypeExpression sciExpression)`

Method Detail

### visitAssignmentExpression

    public Object visitAssignmentExpression(SciAssignmentExpression sciExpression)

### visitConstantExpression

    public Object visitConstantExpression(SciConstantExpression sciExpression)

### visitExpression

    public Object visitExpression(SciExpression sciExpression)

### visitFunctionCallExpression

    public Object visitFunctionCallExpression(SciFunctionCallExpression sciExpression)

### visitMemberAccessExpression

    public Object visitMemberAccessExpression(SciMemberAccessExpression sciExpression)

### visitNewExpression

    public Object visitNewExpression(SciNewExpression sciExpression)

### visitReferenceExpression

    public Object visitReferenceExpression(SciReferenceExpression sciExpression)

### visitTypeCastExpression

    public Object visitTypeCastExpression(SciTypeCastExpression sciExpression)

### visitTypeExpression

    public Object visitTypeExpression(SciTypeExpression sciExpression)

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD